<ART ID="1250087" PID="2110" JID="143" BPAGE="1250087-1" EPAGE="1250087-12" PII="S0218301312500875" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2012">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD>Research Papers</ARTHEAD>
<FRONT>
<T-GRP>
<MTI>ANALYTIC <F>l</F>-STATE SOLUTIONS OF THE KLEIN&#x2013;GORDON EQUATION FOR <F>q</F>-DEFORMED WOODS&#x2013;SAXON PLUS GENERALIZED RING SHAPE POTENTIAL FOR THE TWO CASES OF EQUAL AND DIFFERENT MIXED VECTOR AND SCALAR POTENTIALS</MTI>
<RTI>Analytic <F>l</F>-State Solutions of the Klein&#x2013;Gordon Equation</RTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>M.</FNM>
<SNM>CHABAB</SNM>
<EAD>mchabab@uca.ma</EAD>
<X-REF REFID="S0218301312500875AF001"></X-REF>
</AUT>
<AUT>
<FNM>A.</FNM>
<SNM>LAHBAS</SNM>
<EAD>alaaeddine.lahbas@edu.uca.ma</EAD>
<X-REF REFID="S0218301312500875AF001"></X-REF>
</AUT>
<AUT>
<FNM>M.</FNM>
<SNM>OULNE</SNM>
<EAD>oulne@ucam.ac.ma</EAD>
<X-REF REFID="S0218301312500875FN001"></X-REF>
<X-REF REFID="S0218301312500875AF001"></X-REF>
</AUT>
<FTN ID="S0218301312500875FN001">
<P>Corresponding author.</P></FTN>
<AFF ID="S0218301312500875AF001">High Energy Physics and Astrophysics Laboratory, Department of Physics, Faculty of Sciences Semlalia, Cadi Ayyad University, P.O. Box 2390, Marrakesh 40000, <CNY>Morocco</CNY></AFF>
</A-GRP>
<HIST>
<RE>20 June 2012</RE>
<AC>11 September 2012</AC>
<![CDATA[<PUB>5 October 2012</PUB>]]>
</HIST>
<ABST>
<P>The analytical expressions for the eigenvalues and eigenvectors of the Klein&#x2013;Gordon equation for <F>q</F>-deformed Woods&#x2013;Saxon plus new generalized ring shape potential are derived within the asymptotic iteration method in two cases, namely, the case of equal mixed vector and scalar potentials and the case when the vector potential is chosen to be equal to the <F>q</F>-deformed Woods&#x2013;Saxon plus the new generalized ring-shaped potential while the scalar one is taken equal to the ring-shaped potential. The latter is considered as a small perturbation. The obtained eigenvalues are given in a closed form and the corresponding normalized eigenvectors, for any <F>l</F>, are formulated in terms of the generalized Jacobi polynomials for the radial part of the Klein&#x2013;Gordon equation and associated Legendre polynomials for its angular one. When the shape deformation is canceled, we recover the same solutions previously obtained by the Nikiforov&#x2013;Uvarov method for the standard spherical Woods&#x2013;Saxon potential. It is also shown that, from the obtained results, we can derive the solutions of this problem for Hulthen potential.</P>
</ABST>
<KWDG>
<KWD>Klein&#x2013;Gordon equation</KWD>
<KWD><F>q</F>-deformed Woods&#x2013;Saxon potential</KWD>
<KWD>ring-shaped potential</KWD>
<KWD>asymptotic iteration method</KWD>
</KWDG>
<KWDG CLASS="PACS">
<KWD>03.65.-w</KWD>
<KWD>03.65.Fd</KWD>
<KWD>03.65.Ge</KWD>
<KWD>03.65.Pm</KWD>
<KWD>25.30.-c</KWD>
</KWDG>
</FRONT>
</ART>
