<ART ID="1230009" PID="2110" JID="143" BPAGE="1230009-1" EPAGE="1230009-11" PII="S0218301312300093" ARTSUBTY="REV" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2012">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD>Review</ARTHEAD>
<FRONT>
<T-GRP>
<MTI>ISOSPIN BREAKING IN PION COMPTON SCATTERING</MTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>N.</FNM>
<SNM>KAISER</SNM>
<X-REF REFID="S0218301312300093AF001"></X-REF>
</AUT>
<AFF ID="S0218301312300093AF001">Physik-Department T39, Technische Universit&#x00E4;t M&#x00FC;nchen, D-85747 Garching, <CNY>Germany</CNY></AFF>
</A-GRP>
<HIST>
<RE>25 August 2012</RE>
<AC>29 August 2012</AC>
<![CDATA[<PUB>14 September 2012</PUB>]]>
</HIST>
<ABST>
<P>Using chiral perturbation theory we calculate for pion Compton scattering the isospin-breaking effects induced by the difference between the charged and neutral pion mass. At one-loop order this correction is directly proportional to <F><TEX ID="S0218301312300093M001">$m_{\pi^\pm}^2-m_{\pi^0}^2$</TEX></F> and free of any contributions from short-distance electromagnetic counterterms. The differential cross-section for charged pion Compton scattering <F>&#x03C0;<SUP>-</SUP>&#x03B3;&#x2192;&#x03C0;<SUP>-</SUP>&#x03B3;</F> gets affected (in backward directions) at the level of a few permille only. At the same time the isospin-breaking correction leads to a small shift of the pion polarizability difference by <F>&#x03B4;(&#x03B1;<INF>&#x03C0;</INF>-&#x03B2;<INF>&#x03C0;</INF>)&#x2243;1.3&#x22C5;10<SUP>-5</SUP> <RM>fm</RM><SUP>3</SUP></F>. In the case of the low-energy <F>&#x03B3;&#x03B3;&#x2192;&#x03C0;<SUP>0</SUP>&#x03C0;<SUP>0</SUP></F> reaction isospin breaking manifests itself through a cusp effect at the <F>&#x03C0;<SUP>+</SUP>&#x03C0;<SUP>-</SUP></F> threshold. We give an improved estimate for this cusp effect using the empirical <F>&#x03C0;&#x03C0;</F>-scattering length difference <F><TEX ID="S0218301312300093M002">$a_0-a_2\simeq 0.26~m_\pi^{-1}$</TEX></F>.</P>
</ABST>
<KWDG>
<KWD>Pion Compton scattering</KWD>
<KWD>pion-loop diagrams</KWD>
<KWD>pion electromagnetic polarizabilities</KWD>
<KWD>isospin-symmetry breaking correction</KWD>
<KWD>charged and neutral pion mass difference</KWD>
</KWDG>
<KWDG CLASS="PACS">
<KWD>12.20.Ds</KWD>
<KWD>12.39.Fe</KWD>
<KWD>13.60.Fz</KWD>
<KWD>13.75.Lb</KWD>
</KWDG>
</FRONT>
</ART>
