<ART ID="1250084" PID="2110" JID="143" BPAGE="1250084-1" EPAGE="1250084-15" PII="S021830131250084X" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2012">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD>Research Papers</ARTHEAD>
<FRONT>
<T-GRP>
<MTI>RADIATIVE DECAYS OF EQUAL MASS VECTOR MESONS IN A BETHE&#x2013;SALPETER EQUATION FRAMEWORK</MTI>
<RTI>Equal Mass Vector Mesons in BSE Framework</RTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>ELIAS</FNM>
<SNM>MENGESHA</SNM>
<X-REF REFID="S021830131250084XAF001"></X-REF>
</AUT>
<AUT>
<FNM>SHASHANK</FNM>
<SNM>BHATNAGAR</SNM>
<EAD>shashank_bhatnagar@yahoo.com</EAD>
<X-REF REFID="S021830131250084XFN001"></X-REF>
<X-REF REFID="S021830131250084XAF001"></X-REF>
</AUT>
<FTN ID="S021830131250084XFN001">
<P>Corresponding author.</P></FTN>
<AFF ID="S021830131250084XAF001">Department of Physics, Addis Ababa University, P.O. Box 1176, Addis Ababa, <CNY>Ethiopia</CNY></AFF>
</A-GRP>
<HIST>
<RE>15 June 2012</RE>
<RV>9 September 2012</RV>
<AC>10 September 2012</AC>
<![CDATA[<PUB>12 October 2012</PUB>]]>
</HIST>
<ABST>
<P>In this work, we have employed Bethe&#x2013;Salpeter equation (BSE) under Covariant Instantaneous Ansatz (CIA) to study radiative decays of light vector mesons through the process: <F>h&#x2192;h'&#x03B3;</F>, taking <F>h</F> and <F>h'</F> as equal mass light vector and pseudoscalar mesons, respectively. The decay widths calculated for these processes are in reasonable agreement with data. The motivation for this work was our intention to resolve the problems involved in calculations of triangle quark-loop diagrams which appear in processes such as radiative meson decays, meson form factors, strong decays of mesons, etc., in BSE under CIA, which give rise to complexities in amplitudes (as pointed out earlier in Ref. 1) due to the presence of the time-like momentum components in Gaussian factors associated with the vertex functions of the participating hadrons. In this work we try to highlight this problem and then demonstrate a mathematical procedure which might lead to calculations of such processes in BSE under CIA.</P>
</ABST>
<KWDG>
<KWD>Radiative decays</KWD>
<KWD>Bethe&#x2013;Salpeter equation</KWD>
<KWD>covariant instantaneous ansatz</KWD>
<KWD>decay widths</KWD>
</KWDG>
<KWDG CLASS="PACS">
<KWD>12.39.-x</KWD>
<KWD>11.10.St</KWD>
<KWD>21.30.Fe</KWD>
<KWD>12.40.Yx</KWD>
<KWD>13.20.-v</KWD>
</KWDG>
</FRONT>
</ART>
