<ART ID="1250088" PID="2110" JID="143" BPAGE="1250088-1" EPAGE="1250088-9" PII="S0218301312500887" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2012">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD>Research Papers</ARTHEAD>
<FRONT>
<T-GRP>
<MTI>LPM EFFECT AS THE ORIGIN OF JET FRAGMENTATION SCALING IN HEAVY ION COLLISIONS</MTI>
<RTI>LPM Effect as the Origin of Jet Fragmentation Scaling</RTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>FRASH&#x00CB;R</FNM>
<SNM>LOSHAJ</SNM>
<X-REF REFID="S0218301312500887AF001"></X-REF>
</AUT>
<AUT>
<FNM>DMITRI E.</FNM>
<SNM>KHARZEEV</SNM>
<EAD>Dmitri.Kharzeev@stonybrook.edu</EAD>
<X-REF REFID="S0218301312500887FN001"></X-REF>
<X-REF REFID="S0218301312500887AF001"></X-REF>
<X-REF REFID="S0218301312500887AF002"></X-REF>
</AUT>
<FTN ID="S0218301312500887FN001">
<P>Corresponding author.</P></FTN>
<AFF ID="S0218301312500887AF001">Department of Physics and Astronomy, Stony Brook University, Stony Brook, New York 11794-3800, <CNY>USA</CNY></AFF>
<AFF ID="S0218301312500887AF002">Department of Physics, Brookhaven National Laboratory, Upton, New York 11973-5000, <CNY>USA</CNY></AFF>
</A-GRP>
<HIST>
<RE>3 September 2012</RE>
<AC>11 September 2012</AC>
<![CDATA[<PUB>18 October 2012</PUB>]]>
</HIST>
<ABST>
<P>We address a recent puzzling result from the LHC: the jet fragmentation functions measured in Pb&#x2013;Pb and <IT>pp</IT> collisions appear very similar in spite of a large medium-induced energy loss (we will call this jet fragmentation scaling (JFS)). To model the real-time nonperturbative effects in the propagation of a high energy jet through the strongly coupled QCD matter, we adopt an effective dimensionally reduced description in terms of the <F>(1+1)</F> quasi-Abelian&#x2013;Schwinger theory. This theory is exactly soluble at any value of the coupling and shares with QCD the properties of dynamical generation of "mesons" with a finite mass and the screening of "quark" charge that are crucial for describing the transition of the jet into hadrons. We find that this approach describes quite well the vacuum jet fragmentation in <F>e<SUP>+</SUP>e<SUP>-</SUP></F> annihilation at <F>z&#x2265;0.2</F> at jet energies in the range of the LHC heavy ion measurements <F>(z</F> is the ratio of hadron and jet momenta). In QCD medium, we find that the JFS is reproduced if the mean free path &#x03BB; of the jet is short, <F>&#x03BB;&#x2264;0.3</F> fm, which is in accord with the small shear viscosity inferred from the measurements of the collective flow. The JFS holds since at short mean free path the quantum interference (analogous to the Landau&#x2013;Pomeranchuk&#x2013;Migdal (LPM) effect in QED) causes the produced mesons to have low momenta <F>p~m</F>, where <F>m&#x2243;0.6</F> GeV is the typical meson mass. Meanwhile the induced jet energy loss at short mean free path is much larger than naively expected in string models.</P>
</ABST>
<KWDG>
<KWD>Jet fragmentation</KWD>
<KWD>jet energy loss</KWD>
<KWD>quark&#x2013;gluon plasma</KWD>
<KWD>Schwinger model</KWD>
</KWDG>
<KWDG CLASS="PACS">
<KWD>25.75.Bh</KWD>
<KWD>13.87.Fh</KWD>
<KWD>12.38.Mh</KWD>
</KWDG>
</FRONT>
</ART>
